

Article 541 of comp.cog-eng:
Path: mimsy!oddjob!ncar!ames!husc6!cs.utexas.edu!ut-sally!gaigan!petree
>From: [email-masked] (Mitch Petree)
Newsgroups: comp.cog-eng,comp.windows.misc
Subject: Re: Using kinesthetic memory for human interfaces
Summary: prefer last item chosen as default
Message-ID: <[email-masked]>
Date: 3 Jul 88 21:11:35 GMT
References: <[email-masked]> <dSUgV#2ySEgB=[email-masked]> <[email-masked]>
Sender: [email-masked]
Lines: 38
Xref: mimsy comp.cog-eng:541 comp.windows.misc:583

In article <[email-masked]>, [email-masked] (lyn bartram) writes:
> In article <[email-masked]> <[email-masked]> (Skip Montanaro) writes:
> >Suntools remembers the last item selected in a menu and makes it the default
> >the next time the menu is popped up. The bullseye could represent this
> >dynamic default, not just a static default. It is easier to implement in
> >some sense as well, since you don't have to decide ahead of time what the
>
> >default should be (and guess wrong most of the time).
> I would think that in many cases the default position should be a "no op"/
> no selection on e, to permit a user to invoke the menu without being committed
> to a decision.   ...
> does SunTools make the last menu item selected the default - by leaving
> the positions of the items on the menu the same and placing the cursor on the
> particular item, or by shuffling the items and having the default always in
> the same place?  Both approaches could be difficult in a radial selection menu.
> If direction is the selection mechanism, then changing the cursor position
> counteracts it; and shuffling the position of menu items conflicts with the
> principle of using kinesthetic memory.
> 	lyn bartram

1) I prefer SunTools method of using the last item chosen in a menu as the
	default next time the menu is called up.  I have found that locality
	of reference applies in these situations (my experience only).
2) SunTools implements this by keeping the items in the same order and placing
	the cursor on the correct item.
3)  This may be harder to do on a pie menu.  I am not sure how pie menus
	work.  What kind of selector do you use?  Is it a knob that is turned
	or do you just have a pie shape and move the cursor into a slice?
	I can't see using a mouse to get direction except for direction of
	movement, whereas it sounds like you are talking about a static
	direction, i.e., the direction it is "looking".
    Just having the pie shape would be great because on the average you have
	to move a smaller distance to get to your selection.
4) I think the dead spot should be just that, a dead spot, like the title
	bar in a menu group.  It could identify the menu group or be empty
	but would not invoke any function.

	-mitch petree (Univ. Texas @ Austin, Elec. & Comp. Engr.)